---
title: "Create event subscription"
url: "https://docs.signnow.com/docs/webhooks-1/operations/post__event_subscription"
type: "endpoint"
section: "webhooks-1"
slug: "webhooks-1/operations/post__event_subscription"
method: "POST"
path: "/event_subscription"
operation_id: "post__event_subscription"
authorization: "bearer"
---

# Create event subscription

`POST /event_subscription`

> Deprecated
> 
> This endpoint is deprecated. Click [here](/docs/basic-auth/operations/create-event-subscription) to check a newer version.



Creates a webhook that is triggered when the specified event takes place.

We have recently released a new version of Webhooks. Find out more details [here](/docs/guides-webhooks).

## Authorization

bearer

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "event",
    "callback_url"
  ],
  "properties": {
    "event": {
      "type": "string"
    },
    "use_tls_12": {
      "type": "boolean"
    },
    "callback_url": {
      "type": "string"
    }
  }
}
```

## Responses

### 200

**Example** (`application/json`)

```json
{
  "id": "5a8123c4059a03f6eli47d66ef84694b9109845e",
  "created": 1414441545,
  "updated": 1414442202
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/event_subscription" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/webhooks-1/operations/post__event_subscription*
